Subject: RE: Mercurial 0.4b vs git patchbomb benchmark

From: Tom Lord <[email-masked]>
Date: Fri, 29 Apr 2005 13:26:31 -0700 (PDT)

> It looks to me like he did read carefully.

  > There were two different ideas:
  >   TL)  Passing tree & diff and trusting diff to create tree
  >   NM)  Passing tree and generating diff versus local tree for review

Well, I guess *you* didn't read carefully.  I also spoke about the
value of passing around triples: ancestry, diff, and tree.  The
question is about linking signatures to things that humans can
reasonably *intend* and be reasonably held accountable for, hence one
of the values of signed diffs.  (I cited other practical reasons to
value signed diffs and use them in specific ways, too.)

-t